Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class ServerData

    java.lang.Object
      org.wso2.wsas.admin.service.util.ServerData

    public class ServerData

extends java.lang.Object

Constructor Summary
`ServerData()`
`ServerData(java.lang.String serverName, java.lang.String repoLocation)`

Method Summary
`java.lang.String` | `getAxis2Location()`
`java.lang.String` | `getJavaHome()`
`java.lang.String` | `getJavaRuntimeName()`
`java.lang.String` | `getJavaVersion()`
`java.lang.String` | `getJavaVMVendor()`
`java.lang.String` | `getJavaVMVersion()`
`java.lang.String` | `getOsName()`
`java.lang.String` | `getOsVersion()`
`java.lang.String` | `getRepoLocation()`
`java.lang.String` | `getServerName()`
`java.lang.String` | `getUserCountry()`
`java.lang.String` | `getUserHome()`
`java.lang.String` | `getUserName()`
`java.lang.String` | `getUserTimezone()`
`java.lang.String` | `getWso2wsasVersion()`
`void` | `setAxis2Location(java.lang.String axis2Location)`
`void` | `setJavaHome(java.lang.String javaHome)`
`void` | `setJavaRuntimeName(java.lang.String javaRuntimeName)`
`void` | `setJavaVersion(java.lang.String javaVersion)`
`void` | `setJavaVMVendor(java.lang.String javaVMVendor)`
`void` | `setJavaVMVersion(java.lang.String javaVMVersion)`
`void` | `setOsName(java.lang.String osName)`
`void` | `setOsVersion(java.lang.String osVersion)`
`void` | `setRepoLocation(java.lang.String repoLocation)`
`void` | `setServerName(java.lang.String serverName)`
`void` | `setUserCountry(java.lang.String userCountry)`
`void` | `setUserHome(java.lang.String userHome)`
`void` | `setUserName(java.lang.String userName)`
`void` | `setUserTimezone(java.lang.String userTimezone)`
`void` | `setWso2wsasVersion(java.lang.String wso2wsasVersion)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerData

    public ServerData(java.lang.String serverName,
                      java.lang.String repoLocation)

### ServerData

    public ServerData()

Method Detail

### getJavaRuntimeName

    public java.lang.String getJavaRuntimeName()

### setJavaRuntimeName

    public void setJavaRuntimeName(java.lang.String javaRuntimeName)

### getJavaVMVersion

    public java.lang.String getJavaVMVersion()

### setJavaVMVersion

    public void setJavaVMVersion(java.lang.String javaVMVersion)

### getUserCountry

    public java.lang.String getUserCountry()

### setUserCountry

    public void setUserCountry(java.lang.String userCountry)

### getJavaVMVendor

    public java.lang.String getJavaVMVendor()

### setJavaVMVendor

    public void setJavaVMVendor(java.lang.String javaVMVendor)

### getOsName

    public java.lang.String getOsName()

### setOsName

    public void setOsName(java.lang.String osName)

### getOsVersion

    public java.lang.String getOsVersion()

### setOsVersion

    public void setOsVersion(java.lang.String osVersion)

### getUserHome

    public java.lang.String getUserHome()

### setUserHome

    public void setUserHome(java.lang.String userHome)

### getUserName

    public java.lang.String getUserName()

### setUserName

    public void setUserName(java.lang.String userName)

### getUserTimezone

    public java.lang.String getUserTimezone()

### setUserTimezone

    public void setUserTimezone(java.lang.String userTimezone)

### getJavaHome

    public java.lang.String getJavaHome()

### setJavaHome

    public void setJavaHome(java.lang.String javaHome)

### getJavaVersion

    public java.lang.String getJavaVersion()

### setJavaVersion

    public void setJavaVersion(java.lang.String javaVersion)

### getAxis2Location

    public java.lang.String getAxis2Location()

### setAxis2Location

    public void setAxis2Location(java.lang.String axis2Location)

### getServerName

    public java.lang.String getServerName()

### setServerName

    public void setServerName(java.lang.String serverName)

### getRepoLocation

    public java.lang.String getRepoLocation()

### setRepoLocation

    public void setRepoLocation(java.lang.String repoLocation)

### getWso2wsasVersion

    public java.lang.String getWso2wsasVersion()

### setWso2wsasVersion

    public void setWso2wsasVersion(java.lang.String wso2wsasVersion)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD